### Navigation

- API Reference
- Config Reference |
- next |
- previous |
- Apache CouchDB 1.5 Documentation »
- 14. Release History »

# 14.8. 0.10.x Branch

- Upgrade Notes
- Version 0.10.2
- Version 0.10.1
- Version 0.10.0

## 14.8.1. Upgrade Notes

Warning

Version 0.10.2 contains important security fixes. Previous 0.10.x releases are not recommended for regular usage.

### Modular Configuration Directories

CouchDB now loads configuration from the following places (glob(7) syntax) in order:

- PREFIX/default.ini
- PREFIX/default.d/*
- PREFIX/local.ini
- PREFIX/local.d/*

The configuration options for couchdb script have changed to:

    -a FILE     add configuration FILE to chain
    -A DIR      add configuration DIR to chain
    -n          reset configuration file chain (including system default)
    -c          print configuration file chain and exit

### Show and List API change

Show and List functions must have a new structure in 0.10. See Formatting_with_Show_and_List for details.

### Stricter enforcing of reduciness in reduce-functions

Reduce functions are now required to reduce the number of values for a key.

### View query reduce parameter strictness

CouchDB now considers the parameter `reduce=false` to be an error for queries of map-only views, and responds with status code 400.

## 14.8.2. Version 0.10.2

### Build and System Integration

- Fixed distribution preparation for building on Mac OS X.

### Security

- Fixed CVE-2010-0009: Apache CouchDB Timing Attack Vulnerability

### Replicator

- Avoid leaking file descriptors on automatic replication restarts.

## 14.8.3. Version 0.10.1

### Build and System Integration

- Test suite now works with the distcheck target.

### Replicator

- Stability enhancements regarding redirects, timeouts, OAuth.

### Query Server

- Avoid process leaks
- Allow list and view to span languages

### Stats

- Eliminate new process flood on system wake

## 14.8.4. Version 0.10.0

### Build and System Integration

- Changed couchdb script configuration options.
- Added default.d and local.d configuration directories to load sequence.

### HTTP Interface

- Added optional cookie-based authentication handler.
- Added optional two-legged OAuth authentication handler.

### Storage Format

- Add move headers with checksums to the end of database files for extra robust storage and faster storage.

### View Server

- Added native Erlang views for high-performance applications.

### Navigation

- API Reference
- Config Reference |
- next |
- previous |
- Apache CouchDB 1.5 Documentation »
- 14. Release History »